esp32_BNO08x 1.4 C++ BNO08x IMU driver component for esp-idf.

Public Member Functions | Public Attributes | Protected Member Functions | List of all members
BNO08xCbGeneric Class Referenceabstract

Parent class to represent callback functions as generic type such that all flavors can be invoked by single type. More...

`#include <callback/BNO08xCbGeneric.hpp>`

Inheritance diagram for BNO08xCbGeneric:
[legend]

## Public Member Functions
virtual void | invoke (uint8_t rpt_ID)=0
virtual | ~BNO08xCbGeneric ()=default

## Public Attributes
uint8_t | rpt_ID

## Protected Member Functions
| BNO08xCbGeneric (uint8_t rpt_ID)

## Detailed Description

Parent class to represent callback functions as generic type such that all flavors can be invoked by single type.

## Constructor & Destructor Documentation

## ◆ ~BNO08xCbGeneric()

virtual BNO08xCbGeneric::~BNO08xCbGeneric | ( |  | ) |
| virtual default

## ◆ BNO08xCbGeneric()

BNO08xCbGeneric::BNO08xCbGeneric | ( | uint8_t | rpt_ID | ) |
| inline protected

## Member Function Documentation

## ◆ invoke()

virtual void BNO08xCbGeneric::invoke | ( | uint8_t | rpt_ID | ) |
| pure virtual

Implemented in BNO08xCbParamRptID, and BNO08xCbParamVoid.

## Member Data Documentation

## ◆ rpt_ID

uint8_t BNO08xCbGeneric::rpt_ID

The documentation for this class was generated from the following file:

- /media/develop/git/imu_pr_cleanup/components/esp32_BNO08x/include/callback/BNO08xCbGeneric.hpp